## mod-vhost-ldap 0.2.9

=== Makefile ===
APXS=apxs2
VERSION=`cat VERSION`
DISTFILES=`cat FILES`

all: mod_vhost_ldap.o

install:
	$(APXS) -i mod_vhost_ldap.la

clean:
	rm -f *.o
	rm -f *.lo
	rm -f *.la
	rm -f *.slo
	rm -rf .libs
	rm -rf mod_vhost_ldap-$(VERSION)
	rm -rf mod_vhost_ldap-$(VERSION).tar.gz

mod_vhost_ldap.o: mod_vhost_ldap.c
	$(APXS) -Wc,-Wall -Wc,-Werror -Wc,-g -Wc,-DDEBUG -Wc,-DMOD_VHOST_LDAP_VERSION=\\\"mod_vhost_ldap/$(VERSION)\\\" -c -lldap_r mod_vhost_ldap.c

deb: make clean
	svn export svn+ssh://ondrej@svn.debian.org/svn/modvhostldap mod-vhost-ldap-`cat VERSION`.orig;
	/usr/bin/pdebuild --configfile /home/ondrej/.pbuilderrc.unstable

archive:
	svn export svn+ssh://ondrej@svn.debian.org/svn/modvhostldap/mod-vhost-ldap mod-vhost-ldap-`cat VERSION`;
	rm -rf mod-vhost-ldap-$(VERSION)/debian
	tar czf ../tarballs/mod-vhost-ldap-$(VERSION).tar.gz mod-vhost-ldap-$(VERSION);
	ln -sf mod-vhost-ldap-$(VERSION).tar.gz ../tarballs/mod-vhost-ldap_$(VERSION).orig.tar.gz
	tar cjf ../tarballs/mod-vhost-ldap-$(VERSION).tar.bz2 mod-vhost-ldap-$(VERSION);
	rm -rf mod-vhost-ldap-$(VERSION);

format:
	indent *.c

.PHONY: all install clean archive format

## mod-vhost-ldap 1.2.0

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	/usr/bin/pdebuild --configfile /home/ondrej/.pbuilderrc.unstable
 
 archive:
-	svn export svn+ssh://ondrej@svn.debian.org/svn/modvhostldap/mod-vhost-ldap mod-vhost-ldap-`cat VERSION`;
+	svn export svn+ssh://ondrej@svn.debian.org/svn/modvhostldap/trunk/mod-vhost-ldap/ mod-vhost-ldap-`cat VERSION`;
 	rm -rf mod-vhost-ldap-$(VERSION)/debian
 	tar czf ../tarballs/mod-vhost-ldap-$(VERSION).tar.gz mod-vhost-ldap-$(VERSION);
 	ln -sf mod-vhost-ldap-$(VERSION).tar.gz ../tarballs/mod-vhost-ldap_$(VERSION).orig.tar.gz

## mod-vhost-ldap 2.0.4

=== Makefile ===
APXS=apxs2
VERSION := $(shell cat VERSION)
DISTFILES := $(shell cat FILES)
TMPDIR := $(shell mktemp -d /tmp/mod-vhost-ldap.XXXXXXXX)

all: mod_vhost_ldap.o

install:
	$(APXS) -i mod_vhost_ldap.la

clean:
	rm -f *.o
	rm -f *.lo
	rm -f *.la
	rm -f *.slo
	rm -rf .libs
	rm -rf mod_vhost_ldap-$(VERSION)
	rm -rf mod_vhost_ldap-$(VERSION).tar.gz

mod_vhost_ldap.o: mod_vhost_ldap.c
	$(APXS) -Wc,-Wall -Wc,-Werror -Wc,-g -Wc,-DDEBUG -Wc,-DMOD_VHOST_LDAP_VERSION=\\\"mod_vhost_ldap/$(VERSION)\\\" -c -lldap_r mod_vhost_ldap.c

archive:
	git clone $(CURDIR) $(TMPDIR)/mod-vhost-ldap-$(VERSION)
	cd $(TMPDIR)/mod-vhost-ldap-$(VERSION) && \
	git checkout upstream
	cd $(TMPDIR) && \
	tar --exclude .git/ --exclude debian/ -czf $(CURDIR)/../mod-vhost-ldap-$(VERSION).tar.gz mod-vhost-ldap-$(VERSION)

format:
	indent *.c

.PHONY: all install clean archive format

=== debian/changelog ===
mod-vhost-ldap (2.0.4-1) unstable; urgency=low

  * New upstream release.
    + Remove mutexes as they cause lockups
    + store DocumentRoot in r->notes in vhost-document-root
    + set DocumentRoot once more in fixups hook

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Jun 2010 16:56:36 +0200

mod-vhost-ldap (2.0.3-1) unstable; urgency=low

  * New upstream release.
    + New mutex around ap_document_root unlocked before handler is run,
      this should handle (most) concurrency issues when used with mpm_worker

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Jun 2010 15:53:39 +0200

mod-vhost-ldap (2.0.2-1) unstable; urgency=low

  * New upstream release
    + Fix LDAP query injection (courtesy of Anders Kaseorg)
      (Closes: #469930)
    + Add support for wildcard hostnames (courtesy of Anders Kaseorg)
      (Closes: #470085)
  * Update description (Closes: #499981)
  * Fix debian/watch file (Closes: #450290)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Jun 2010 11:10:55 +0200

mod-vhost-ldap (2.0.1-2) unstable; urgency=low

  * Install module into correct directory

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Jun 2010 10:30:30 +0200

mod-vhost-ldap (2.0.1-1) unstable; urgency=low

  * New upstream release 2.0.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 09 Jun 2010 15:17:47 +0200

mod-vhost-ldap (2.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Jun 2010 14:50:20 +0200

mod-vhost-ldap (1.2.0-1) unstable; urgency=low

  * New upstream release (adds apache-2.2 support)
  * Fix FTBFS with apache-2.2 (Closes: #393021)

 -- Ondřej Surý <ondrej@debian.org>  Wed,  1 Nov 2006 13:25:54 +0100

mod-vhost-ldap (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Add support for apache-2.2.x (Courtesy of Bart Vanbrabant)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Apr 2006 10:57:06 +0200

mod-vhost-ldap (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Fix small memory leak when used in subrequest (e.g. fastcgi)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jan 2006 22:12:05 +0100

mod-vhost-ldap (0.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@sury.org>  Mon,  3 Oct 2005 16:10:24 +0200

mod-vhost-ldap (0.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@sury.org>  Thu, 22 Sep 2005 09:26:56 +0200

mod-vhost-ldap (0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@sury.org>  Mon, 19 Sep 2005 10:27:13 +0200

mod-vhost-ldap (0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@sury.org>  Fri, 16 Sep 2005 10:13:25 +0200

mod-vhost-ldap (0.2.5-1) unstable; urgency=low

  * New upstream release.
    + Fix crasher.

 -- Ondřej Surý <ondrej@sury.org>  Thu,  8 Sep 2005 20:35:31 +0200

mod-vhost-ldap (0.2.4-1) unstable; urgency=low

  * New upstream release.
    + Fix VERSION file mishmash (Closes: #323777)
    + MIN_UID/MIN_GID lowered to 100/100 (Closes: #323830)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Aug 2005 16:51:46 +0200

mod-vhost-ldap (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * Fix off-by-one error in minimum UID/GID (Closes: #323433)
  * Fix schema (yet again) (Closes: #323437)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Aug 2005 11:40:55 +0200

mod-vhost-ldap (0.2.2-1) unstable; urgency=low

  * New upstream version.
  * Fix schema (Closes: #322958, #323002)
  * Fix invalid behaviour when apacheScriptAlias missing (Closes: #323006)
  * Set DOCUMENT_ROOT internal variable (Closes: #323007)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2005 09:37:12 +0200

mod-vhost-ldap (0.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #321952)

 -- Ondřej Surý <ondrej@debian.org>  Tue,  9 Aug 2005 14:18:38 +0200

Local variables:
mode: debian-changelog
End:

## mod-vhost-ldap 2.0.5

=== debian/changelog ===
mod-vhost-ldap (2.0.5-1) unstable; urgency=low

  * New upstream release
    + Thread-safe by making private copy of r->server

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Jul 2010 20:45:01 +0200

=== debian/control ===
Source: mod-vhost-ldap
Section: web
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>> 7.0.52~),
	       quilt (>= 0.46-7~),
	       apache2-threaded-dev (>= 2.2.3-3)

Package: libapache2-mod-vhost-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2.2-common
Description: Apache 2 module for Virtual Hosting from LDAP
 mod-vhost-ldap is an Apache 2 module for storing and configuring
 virtual hosts from LDAP.  It supports the DocumentRoot, ScriptAlias,
 ServerName, ServerAlias, ServerAdmin and SuexecUserGroup directives.
 .
 It is built on top of mod_ldap, so it uses its caching capabilities
 and can be used with a threaded Apache MPM.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

srcpkg = $(shell dpkg-parsechangelog | sed -ne 's/Source: *//p')
srcver = $(shell dpkg-parsechangelog | sed -ne 's/Version: *\(.*:\)\?\(.*\)-[0-9.]*$$/\2/p')
#{{{ generic rules

../$(srcpkg)_$(srcver).orig.tar.gz:
	@! git rev-parse --git-dir >/dev/null 2>&1 || pristine-tar checkout $@

check-tarball: ../$(srcpkg)_$(srcver).orig.tar.gz

.PHONY: check-tarball

#}}}

%:
	dh --with quilt $@

AP2_MAKE_DEFS=top_dir=/usr/share/apache2 \
	APXS=apxs2 APACHECTL=apachectl2 \
	LIBTOOL=libtool SH_LIBTOOL=libtool \
	INCLUDES="-I/usr/include/apache2 -I /usr/include/apr-0"

DEST=$(CURDIR)/debian/libapache2-mod-vhost-ldap

override_dh_auto_configure:
	# nothing to do

override_dh_auto_make:
	$(MAKE) $(AP2_MAKE_DEFS)

override_dh_auto_install:
	mkdir -p $(DEST)/usr/lib/apache2/modules
	install -m 644 .libs/mod_vhost_ldap.so $(DEST)/usr/lib/apache2/modules
	mkdir -p $(DEST)/etc/apache2/mods-available
	install -m 644 debian/vhost_ldap.load $(DEST)/etc/apache2/mods-available
	install -m 644 debian/vhost_ldap.conf $(DEST)/etc/apache2/mods-available

## mod-vhost-ldap 2.0.7

=== debian/changelog ===
mod-vhost-ldap (2.0.7-1) unstable; urgency=low

  [ Ondřej Surý ]
  * fix various small typos

  [ Anders Kaseorg ]
  * Revert incorrect “fix” of wildcard search
  * Spell VhostLDAPWildcard correctly in example configuration

  [ Ondřej Surý ]
  * Release version 2.0.7

 -- Ondřej Surý <ondrej@debian.org>  Sat, 19 Mar 2011 11:18:38 +0100

mod-vhost-ldap (2.0.6-1) unstable; urgency=low

  * New upstream release
    + Fix wildcard search (properly escape * -> \\*)
    + Create new configuration option to disable wildcard search
    + Fix cgi-bin processing (Courtesy of Anders Kaseorg) (Closes: #589461)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Mar 2011 16:17:11 +0100

## mod-vhost-ldap 2.0.8

=== debian/changelog ===
mod-vhost-ldap (2.0.8-1) unstable; urgency=low

  * Upstream release 2.0.8
  * Don't copy server struct if we have per request docroot

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 Jun 2011 18:18:08 +0200

## mod-vhost-ldap 2.4.0

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,8 @@
 	rm -rf mod_vhost_ldap-$(VERSION).tar.gz
 
 mod_vhost_ldap.o: mod_vhost_ldap.c
+	# Try building with per request document root and if it fails, do the normal build (kinda ugly, but should work)
+	$(APXS) -Wc,-Wall -Wc,-Werror -Wc,-g -Wc,-DDEBUG -Wc,-DMOD_VHOST_LDAP_VERSION=\\\"mod_vhost_ldap/$(VERSION)\\\" -Wc,-DHAS_PER_REQUEST_DOCUMENT_ROOT -c -lldap_r mod_vhost_ldap.c || \
 	$(APXS) -Wc,-Wall -Wc,-Werror -Wc,-g -Wc,-DDEBUG -Wc,-DMOD_VHOST_LDAP_VERSION=\\\"mod_vhost_ldap/$(VERSION)\\\" -c -lldap_r mod_vhost_ldap.c
 
 archive:
@@ -25,7 +27,7 @@
 	cd $(TMPDIR)/mod-vhost-ldap-$(VERSION) && \
 	git checkout upstream
 	cd $(TMPDIR) && \
-	tar --exclude .git/ --exclude debian/ -czf $(CURDIR)/../mod-vhost-ldap-$(VERSION).tar.gz mod-vhost-ldap-$(VERSION)
+	tar --exclude-vcs --exclude debian/ -czf $(CURDIR)/../mod-vhost-ldap-$(VERSION).tar.gz mod-vhost-ldap-$(VERSION)
 
 format:
 	indent *.c

=== debian/changelog ===
mod-vhost-ldap (2.4.0-1) unstable; urgency=low

  * New upstream version 2.4.0
  * Add support for Apache 2.4 and modernize the package a little bit
    (Closes: #666813)
  * Declare dependency on ldap module

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 Jul 2013 08:36:24 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with apache2

override_dh_auto_install:
	:

=== debian/watch ===
version=3

http://alioth.debian.org/frs/?group_id=30740 \
        https://alioth.debian.org/frs/download.php/[0-9]+/mod-vhost-ldap-([\d.]+)\.tar\.gz \
	debian uupdate
